Attribute VB_Name = "mMove"
Option Explicit

'the Current X and Y position
Public curX As Single
Public curY As Single

'the last recorded X and Y position
Private lastX As Single
Private lastY As Single

'the outer move bounds of the scrollbar thingie
Private minX As Single
Private maxX As Single

'the control being moved
Private meControl As control
Private meForm As Form

'Whether the control is in the middle of being moved
Private Moving As Boolean
Private timer As timer

' Begin the move
Public Sub Begin(control As control, theform As Form, X As Single, Y As Single)
    mMove.Moving = True
    Set mMove.meControl = control
    Set mMove.meForm = theform
    mMove.lastX = X
    mMove.lastY = Y
End Sub

Public Sub InProgress(X As Single, Y As Single)
    If Not mMove.Moving Then Exit Sub
    timer.Enabled = True
    
    mMove.curX = X - mMove.lastX
    mMove.curY = Y - mMove.lastY
End Sub

Public Sub EndIt()
    mMove.Moving = False
    timer.Enabled = False
End Sub

Public Sub ToNewPosition(RightBound As Integer, LeftBound As Integer)
    Dim X As Single
    Dim Y As Single

    'Set it to the new position.
    X = mMove.meControl.Left + curX
    Y = mMove.meControl.Top + curY
    
    'Make sure we don't drag it off the screen...
    If X < LeftBound Then
        X = LeftBound
    ElseIf X > (RightBound - mMove.meControl.Width) Then
        X = RightBound - mMove.meControl.Width
    End If
    If mMove.meControl.Top + mMove.curY < 0 Then
        Y = 0
    ElseIf Y > meForm.ScaleHeight - mMove.meControl.Height Then
        Y = meForm.ScaleHeight - mMove.meControl.Height
    End If
    
    mMove.meControl.Move X, Y
End Sub

Public Sub Initialize(tmr As timer)
    tmr.Enabled = False
    tmr.Interval = 30
    Set timer = tmr
End Sub
